godo.Functions.GetTrigger()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Functions.GetTrigger(ctx context.Context, namespace string, trigger string) (*godo.FunctionsTrigger, *godo.Response, error)

Description

GetTrigger gets a single trigger

This method sends a GET request to /v2/functions/namespaces/{}/triggers/{}.

Parameters

namespace string required
trigger string required

Returns

*godo.FunctionsTrigger
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.FunctionsTrigger

Namespace string

Omitted from JSON when empty. JSON key: namespace

Function string

Omitted from JSON when empty. JSON key: function

Type string

Omitted from JSON when empty. JSON key: type

Name string

Omitted from JSON when empty. JSON key: name

IsEnabled bool

JSON key: is_enabled

CreatedAt time.Time

Omitted from JSON when empty. JSON key: created_at

UpdatedAt time.Time

Omitted from JSON when empty. JSON key: updated_at

ScheduledDetails *godo.TriggerScheduledDetails

Omitted from JSON when empty. JSON key: scheduled_details

ScheduledRuns *godo.TriggerScheduledRuns

Omitted from JSON when empty. JSON key: scheduled_runs

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Functions.GetTrigger(ctx, "<your-namespace>", "<your-trigger>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/functions/namespaces/{}/triggers/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.